package gg.malloc.defense.ui;

import org.bukkit.entity.LivingEntity;
import org.bukkit.inventory.EntityEquipment;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.Material;

public class BombCarrier {
  LivingEntity m_entity;

  public BombCarrier(LivingEntity entity) {
    m_entity = entity;
  }

  public LivingEntity inHand() {
    EntityEquipment equipment = m_entity.getEquipment();
    equipment.setItemInOffHand(Items.makeBombHelmet());
    //equipment.setItemInOffHandDropChance(0.0f);
    return m_entity;
  }

  public LivingEntity onHead() {
    EntityEquipment equipment = m_entity.getEquipment();
    equipment.setHelmet(Items.makeBombHelmet());
    //equipment.setHelmetDropChance(0.0f);
    return m_entity;
  }
}
